net.sf.jasperreports.engine.design

## Class JRDesignVariable

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseVariable
  - - net.sf.jasperreports.engine.design.JRDesignVariable

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRVariable

      public class JRDesignVariable
      extends JRBaseVariable
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignVariable.java 5898 2013-01-22 12:20:10Z chicuslavic $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CALCULATION`
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_INCREMENT_GROUP`
    `static java.lang.String` | `PROPERTY_INCREMENT_TYPE`
    `static java.lang.String` | `PROPERTY_INCREMENTER_FACTORY_CLASS_NAME`
    `static java.lang.String` | `PROPERTY_INITIAL_VALUE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_RESET_GROUP`
    `static java.lang.String` | `PROPERTY_RESET_TYPE`
    `static java.lang.String` | `PROPERTY_SYSTEM_DEFINED`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseVariable

      `calculationValue, expression, incrementerFactoryClass, incrementerFactoryClassName, incrementerFactoryClassRealName, incrementGroup, incrementTypeValue, initialValueExpression, isSystemDefined, name, resetGroup, resetTypeValue, valueClass, valueClassName, valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRVariable

      `COLUMN_COUNT, COLUMN_NUMBER, PAGE_COUNT, PAGE_NUMBER, REPORT_COUNT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignVariable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setCalculation(CalculationEnum calculationValue)`
    `void` | `setExpression(JRExpression expression)`
    `void` | `setIncrementerFactoryClass(java.lang.Class<?> clazz)`
    `void` | `setIncrementerFactoryClassName(java.lang.String className)`
    `void` | `setIncrementGroup(JRGroup group)`
    `void` | `setIncrementType(IncrementTypeEnum incrementTypeValue)`
    `void` | `setInitialValueExpression(JRExpression expression)`
    `void` | `setName(java.lang.String name)`
    `void` | `setResetGroup(JRGroup group)`
    `void` | `setResetType(ResetTypeEnum resetTypeValue)`
    `void` | `setSystemDefined(boolean isSystemDefined)`
    `void` | `setValueClass(java.lang.Class<?> clazz)`
    `void` | `setValueClassName(java.lang.String className)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseVariable

      `getCalculationValue, getExpression, getIncrementerFactoryClass, getIncrementerFactoryClassName, getIncrementGroup, getIncrementTypeValue, getInitialValueExpression, getName, getResetGroup, getResetTypeValue, getValueClass, getValueClassName, isSystemDefined`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CALCULATION

          public static final java.lang.String PROPERTY_CALCULATION

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

          public static final java.lang.String PROPERTY_INCREMENTER_FACTORY_CLASS_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENT_GROUP

          public static final java.lang.String PROPERTY_INCREMENT_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_INCREMENT_TYPE

          public static final java.lang.String PROPERTY_INCREMENT_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_INITIAL_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_INITIAL_VALUE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_RESET_GROUP

          public static final java.lang.String PROPERTY_RESET_GROUP

      See Also:
        Constant Field Values

    - #### PROPERTY_RESET_TYPE

          public static final java.lang.String PROPERTY_RESET_TYPE

      See Also:
        Constant Field Values

    - #### PROPERTY_SYSTEM_DEFINED

          public static final java.lang.String PROPERTY_SYSTEM_DEFINED

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS_NAME

          public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignVariable

          public JRDesignVariable()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setValueClass

          public void setValueClass(java.lang.Class<?> clazz)

    - #### setValueClassName

          public void setValueClassName(java.lang.String className)

    - #### setIncrementerFactoryClass

          public void setIncrementerFactoryClass(java.lang.Class<?> clazz)

    - #### setIncrementerFactoryClassName

          public void setIncrementerFactoryClassName(java.lang.String className)

    - #### setResetType

          public void setResetType(ResetTypeEnum resetTypeValue)

    - #### setIncrementType

          public void setIncrementType(IncrementTypeEnum incrementTypeValue)

    - #### setCalculation

          public void setCalculation(CalculationEnum calculationValue)

    - #### setSystemDefined

          public void setSystemDefined(boolean isSystemDefined)

    - #### setExpression

          public void setExpression(JRExpression expression)

    - #### setInitialValueExpression

          public void setInitialValueExpression(JRExpression expression)

    - #### setResetGroup

          public void setResetGroup(JRGroup group)

    - #### setIncrementGroup

          public void setIncrementGroup(JRGroup group)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseVariable`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com